Subject: RE: 1.5.18-1: cygwin.bat/bash fails after installing Cygwin
From: "Jason Fritz (CO/EWU)" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Chang, Chloe'" <[email-masked]>
Date: Thu, 20 Oct 2005 14:15:03 -0500

On Thu, 20 Oct 2005, Igor Pechtchanski wrote:
> 
> Hmm, very weird.  According to a couple of Google searches, the above
> looks like a message from UWin startup files -- Cygwin does 
> *not* have a
> profile.global, and the Cygwin bash won't look for anything in
> /usr/local/etc by default.  Do you, perhaps, have a c:\.bashrc or
> c:\.bash_profile or c:\.profile left over from a prior installation of
> UWin?

Aha!  Your response led me to the answer for this problem.  Within my company (Ericsson), we have our Unix home directories mounted as the H:\ drive on our PCs.  The H:\ dir just happens to contain a .profile, which just happens to execute /usr/local/etc/profile.global.  And, for whatever reason, when I start a DOS prompt, it defaults to the H:\ drive.  Also, after installing Cygwin, /etc/passwd sets my home dir to /cygdrive/h by default.

So, the answer to the problem is that Cygwin's bash was finding and executing .profile from an unrelated Unix environment.  I'm CCing Chloe, since I'm curious if they have a similar setup within Qualcomm.

> Just for reference, the way it *should* set $HOME is described in your
> /etc/passwd (if you don't have the latest, copy it from
> /etc/defaults/etc/passwd).
> 
> ...
> 
> Hmm, it would be interesting to see what "echo $HOME" says in a bash
> session that you start using "c:\cygwin\bin\bash --norc"...

Here's that output:
-----
C:\cygwin\bin>bash --norc
bash-3.00$ echo $HOME
/cygdrive/h
-----

Again, that shows the root of the problem.

In the end, I changed /etc/passwd to point to my My Documents dir instead of /cygdrive/h and now everything works fine.  Also, concerning the other post I sent about rxvt setting the font size/spacing to something funny, after changing /etc/passwd, rxvt acts fine as well.

> > Thank you for your help so far, Igor.
> 
> You're welcome -- it's a curious problem, and I'd like to get to the
> bottom of this.  Also, I don't think you've ever posted the output of
> "cygcheck -svr" on your system (in its non-working configuration), as
> requested in <http://cygwin.com/problems.html>.  Please make sure you
> *attach* the output as an uncompressed text attachment, rather than
> include it inline.

Thanks again!  And just to nail the coffin shut on this, I've attached the output of cygcheck.
- Jason Fritz

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/